unit ZoekMDBFiles;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, NLDFileSearch;

type
  TMyFileSearch = class(TNLDEnumFiles)
  end;

  TForm1 = class(TForm)
    btnSearch: TButton;
    btnCancel: TButton;
    Resultaat: TListBox;
    procedure btnSearchClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
  private
    FileSearch: TMyFileSearch;
  public
    procedure FoundFile(const FileName: string;
      Attributes: Integer; var Continue: TFSContinue);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.btnSearchClick(Sender: TObject);
begin
  FileSearch := TMyFileSearch.Create;
  try
    FileSearch.OnFoundFile := FoundFile;
    FileSearch.EnumFiles('d:\*.mdb', [soRecursive, soProcessMessages,
      soNoDirs, soRelativePaths]);
  finally
    FreeAndNil(FileSearch);
  end;
end;

procedure TForm1.btnCancelClick(Sender: TObject);
begin
  if Assigned(FileSearch) then
    FileSearch.Terminate;
end;

procedure TForm1.FoundFile(const FileName: string; Attributes: Integer;
  var Continue: TFSContinue);
begin
  Resultaat.Items.Add(FileName); // Of wat jij ermee wilt
end;

end.
